net.corda.node.services.schema

## Class HibernateObserver

- net.corda.node.services.schema.HibernateObserver

-     public class HibernateObserver

  A vault observer that extracts Object Relational Mappings for contract states that support it, and persists them with Hibernate.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `HibernateObserver.Companion`
    `static class` | `HibernateObserver.NodeDatabaseConnectionProvider`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static HibernateObserver.Companion` | `Companion`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HibernateObserver(ServiceHubInternal services)` A vault observer that extracts Object Relational Mappings for contract states that support it, and persists them with Hibernate.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SchemaService` | `getSchemaService()`
    `java.util.concurrent.ConcurrentHashMap<net.corda.core.schemas.MappedSchema,org.hibernate.SessionFactory>` | `getSessionFactories()`

- - ### Field Detail

    - #### Companion

          public static HibernateObserver.Companion Companion

  - ### Constructor Detail

    - #### HibernateObserver

          public HibernateObserver(ServiceHubInternal services)

      A vault observer that extracts Object Relational Mappings for contract states that support it, and persists them with Hibernate.

  - ### Method Detail

    - #### getSchemaService

          public SchemaService getSchemaService()

    - #### getSessionFactories

          public java.util.concurrent.ConcurrentHashMap<net.corda.core.schemas.MappedSchema,org.hibernate.SessionFactory> getSessionFactories()